-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS ProductLocation (
	Id INT AUTO_INCREMENT PRIMARY KEY,
	CardtraderBlueprintId INT NULL,
	FOREIGN KEY (CardtraderBlueprintId) REFERENCES CardtraderBlueprint(Id),
	StorageAreaId INT NOT NULL,
	FOREIGN KEY (StorageAreaId) REFERENCES StorageArea(Id),
	Position INT NULL,
	CardtraderProductId INT NULL
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS ProductLocation;
-- +goose StatementEnd
